LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XCustomShapeHandle Interface Reference

The XCustomShapeHandle. More...

`import "XCustomShapeHandle.idl";`

Inheritance diagram for XCustomShapeHandle:

## Public Member Functions
com::sun::star::awt::Point | getPosition ()
| is getting the actual handle position
void | setControllerPosition ([in] com::sun::star::awt::Point aPoint)
| is setting a new position for the handle
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

The XCustomShapeHandle.

## Member Function Documentation

## ◆ getPosition()

com::sun::star::awt::Point getPosition | ( |  | ) |

is getting the actual handle position

Returns
  the actual handle position

## ◆ setControllerPosition()

void setControllerPosition | ( | [in] com::sun::star::awt::Point | aPoint | ) |

is setting a new position for the handle

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XCustomShapeHandle.idl